Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006891TestLinkReportspublic2015-01-15 15:052015-02-26 21:04
Reporterdsr1811 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformlinuxOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0006891: Test Case Execution Reports (ALL) - execution_duration field data value not displayed
Descriptionexecution_duration not being displayed on any of the Test Case Execution Reports, but does show on the: Execution history line item on the Test Execution Page.
Steps To Reproduce1. From execute a test case, add the duration time to the field, add appropriate status, and save execution.
2. Click Test Steps Exec (print view) icon
3. Review Field: "Execution duration (min):"
Additional Informationsee file: /lib/functions/print.inc.php, the $exec_info query result in the function, renderExecutionForPrinting, is being overwritten by the renderTestCaseForPrintingresult function.

Resolved by adding the E.execution_duration field to the query in function renderTestCaseForPrintingresult
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFF
PHP Version5.4
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0022502)
fman (administrator)
2015-01-16 15:30

Thanks

- Issue History
Date Modified Username Field Change
2015-01-15 15:05 dsr1811 New Issue
2015-01-16 15:30 fman Note Added: 0022502
2015-02-26 21:04 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-02-26 21:04 fman Status new => closed
2015-02-26 21:04 fman Assigned To => fman
2015-02-26 21:04 fman Resolution open => fixed
2015-02-26 21:04 fman Fixed in Version => 1.9.14 (2015 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker